Index: devel/gnatcoll/pkg-plist
===================================================================
--- devel/gnatcoll/pkg-plist	(revision 416664)
+++ devel/gnatcoll/pkg-plist	(working copy)
@@ -202,109 +278,140 @@
 lib/gnat/gnatcoll_python.gpr
 lib/gnat/gnatcoll_readline.gpr
 lib/gnat/gnatcoll_sqlite.gpr
-lib/gnatcoll/static/gnatcoll-any_types-python.ali
-lib/gnatcoll/static/gnatcoll-any_types.ali
-lib/gnatcoll/static/gnatcoll-arg_lists.ali
-lib/gnatcoll/static/gnatcoll-atomic.ali
-lib/gnatcoll/static/gnatcoll-boyer_moore.ali
-lib/gnatcoll/static/gnatcoll-config.ali
-lib/gnatcoll/static/gnatcoll-email-mailboxes.ali
-lib/gnatcoll/static/gnatcoll-email-parser.ali
-lib/gnatcoll/static/gnatcoll-email-utils.ali
-lib/gnatcoll/static/gnatcoll-email.ali
-lib/gnatcoll/static/gnatcoll-geometry.ali
-lib/gnatcoll/static/gnatcoll-gmp-integers-io.ali
-lib/gnatcoll/static/gnatcoll-gmp-integers-misc.ali
-lib/gnatcoll/static/gnatcoll-gmp-integers-number_theoretic.ali
-lib/gnatcoll/static/gnatcoll-gmp-integers-random.ali
-lib/gnatcoll/static/gnatcoll-gmp-integers-root_extraction.ali
-lib/gnatcoll/static/gnatcoll-gmp-integers.ali
-lib/gnatcoll/static/gnatcoll-gmp-lib.ali
-lib/gnatcoll/static/gnatcoll-gmp-random_state.ali
-lib/gnatcoll/static/gnatcoll-gmp.ali
-lib/gnatcoll/static/gnatcoll-iconv.ali
-lib/gnatcoll/static/gnatcoll-io-native.ali
-lib/gnatcoll/static/gnatcoll-io-remote-unix.ali
-lib/gnatcoll/static/gnatcoll-io-remote-windows.ali
-lib/gnatcoll/static/gnatcoll-io-remote.ali
-lib/gnatcoll/static/gnatcoll-io.ali
-lib/gnatcoll/static/gnatcoll-json-utility.ali
-lib/gnatcoll/static/gnatcoll-json.ali
-lib/gnatcoll/static/gnatcoll-memory.ali
-lib/gnatcoll/static/gnatcoll-mmap-system__unix.ali
-lib/gnatcoll/static/gnatcoll-mmap.ali
-lib/gnatcoll/static/gnatcoll-paragraph_filling-badnesses.ali
-lib/gnatcoll/static/gnatcoll-paragraph_filling-words.ali
-lib/gnatcoll/static/gnatcoll-paragraph_filling.ali
-lib/gnatcoll/static/gnatcoll-path.ali
-lib/gnatcoll/static/gnatcoll-pools.ali
-lib/gnatcoll/static/gnatcoll-projects-aux.ali
-lib/gnatcoll/static/gnatcoll-projects-normalize.ali
-lib/gnatcoll/static/gnatcoll-projects.ali
-lib/gnatcoll/static/gnatcoll-python.ali
-lib/gnatcoll/static/gnatcoll-ravenscar-multiple_queue_cyclic_server.ali
-lib/gnatcoll/static/gnatcoll-ravenscar-multiple_queue_sporadic_server.ali
-lib/gnatcoll/static/gnatcoll-ravenscar-simple_cyclic_task.ali
-lib/gnatcoll/static/gnatcoll-ravenscar-simple_sporadic_task.ali
-lib/gnatcoll/static/gnatcoll-ravenscar-sporadic_server.ali
-lib/gnatcoll/static/gnatcoll-ravenscar-sporadic_server_with_callback.ali
-lib/gnatcoll/static/gnatcoll-ravenscar-timed_out_sporadic_server.ali
-lib/gnatcoll/static/gnatcoll-ravenscar-timers-one_shot_timer.ali
-lib/gnatcoll/static/gnatcoll-ravenscar-timers.ali
-lib/gnatcoll/static/gnatcoll-ravenscar-utils.ali
-lib/gnatcoll/static/gnatcoll-ravenscar.ali
-lib/gnatcoll/static/gnatcoll-readline.ali
-lib/gnatcoll/static/gnatcoll-refcount-weakref.ali
-lib/gnatcoll/static/gnatcoll-refcount.ali
-lib/gnatcoll/static/gnatcoll-remote-db.ali
-lib/gnatcoll/static/gnatcoll-remote.ali
-lib/gnatcoll/static/gnatcoll-scripts-files.ali
-lib/gnatcoll/static/gnatcoll-scripts-gtkada.ali
-lib/gnatcoll/static/gnatcoll-scripts-impl.ali
-lib/gnatcoll/static/gnatcoll-scripts-python-gtkada.ali
-lib/gnatcoll/static/gnatcoll-scripts-projects.ali
-lib/gnatcoll/static/gnatcoll-scripts-python.ali
-lib/gnatcoll/static/gnatcoll-scripts-shell.ali
-lib/gnatcoll/static/gnatcoll-scripts-utils.ali
-lib/gnatcoll/static/gnatcoll-scripts.ali
-lib/gnatcoll/static/gnatcoll-sql-exec-tasking.ali
-lib/gnatcoll/static/gnatcoll-sql-exec.ali
-lib/gnatcoll/static/gnatcoll-sql-exec_private.ali
-lib/gnatcoll/static/gnatcoll-sql-inspect.ali
-lib/gnatcoll/static/gnatcoll-sql-orm-impl.ali
-lib/gnatcoll/static/gnatcoll-sql-orm.ali
-lib/gnatcoll/static/gnatcoll-sql-postgres-builder.ali
-%%PGSQL%%lib/gnatcoll/static/gnatcoll-sql-postgres-gnade.ali
-lib/gnatcoll/static/gnatcoll-sql-postgres.ali
-lib/gnatcoll/static/gnatcoll-sql-sessions.ali
-lib/gnatcoll/static/gnatcoll-sql-sqlite-builder.ali
-lib/gnatcoll/static/gnatcoll-sql-sqlite-gnade.ali
-lib/gnatcoll/static/gnatcoll-sql-sqlite.ali
-lib/gnatcoll/static/gnatcoll-sql.ali
-lib/gnatcoll/static/gnatcoll-sql_impl.ali
-lib/gnatcoll/static/gnatcoll-storage_pools-alignment.ali
-lib/gnatcoll/static/gnatcoll-storage_pools.ali
-lib/gnatcoll/static/gnatcoll-symbols.ali
-lib/gnatcoll/static/gnatcoll-templates.ali
-lib/gnatcoll/static/gnatcoll-terminal.ali
-lib/gnatcoll/static/gnatcoll-traces-syslog.ali
-lib/gnatcoll/static/gnatcoll-traces.ali
-lib/gnatcoll/static/gnatcoll-tribooleans.ali
-lib/gnatcoll/static/gnatcoll-utils.ali
-lib/gnatcoll/static/gnatcoll-vfs-gtkada.ali
-lib/gnatcoll/static/gnatcoll-vfs.ali
-lib/gnatcoll/static/gnatcoll-vfs_types.ali
-lib/gnatcoll/static/gnatcoll-vfs_utils.ali
-lib/gnatcoll/static/gnatcoll-xref-database.ali
-lib/gnatcoll/static/gnatcoll-xref-database_names.ali
-lib/gnatcoll/static/gnatcoll-xref.ali
-lib/gnatcoll/static/gnatcoll.ali
-lib/gnatcoll/static/libgnatcoll.a
-lib/gnatcoll/static/libgnatcoll_gmp.a
-lib/gnatcoll/static/libgnatcoll_gtk.a
-lib/gnatcoll/static/libgnatcoll_iconv.a
-lib/gnatcoll/static/libgnatcoll_postgres.a
-lib/gnatcoll/static/libgnatcoll_python.a
-lib/gnatcoll/static/libgnatcoll_readline.a
-lib/gnatcoll/static/libgnatcoll_sqlite.a
-%%DATADIR%%/dborm.py
+lib/gnat/gpr.gpr
+lib/gnat/manifests/gnatcoll
+lib/gnatcoll/gnatcoll.static/gnatcoll-any_types.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-arg_lists.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-atomic__intrinsic.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-boyer_moore.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-config.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-email-mailboxes.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-email-parser.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-email-utils.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-email.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-geometry.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-io-native.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-io-remote-unix.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-io-remote-windows.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-io-remote.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-io.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-json-utility.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-json.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-memory.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-mmap-system__unix.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-mmap.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-paragraph_filling-badnesses.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-paragraph_filling-words.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-paragraph_filling.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-path.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-pools.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-projects-aux.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-projects-krunch.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-projects-normalize.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-projects.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-multiple_queue_cyclic_server.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-multiple_queue_sporadic_server.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-simple_cyclic_task.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-simple_sporadic_task.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-sporadic_server.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-sporadic_server_with_callback.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-timed_out_sporadic_server.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-timers-one_shot_timer.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-timers.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-utils.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-ravenscar.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-refcount-weakref.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-refcount.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-remote-db.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-remote.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-scripts-files.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-scripts-impl.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-scripts-projects.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-scripts-shell.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-scripts-utils.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-scripts.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-sql-exec-tasking.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-sql-exec.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-sql-exec_private.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-sql-inspect.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-sql-orm-impl.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-sql-orm.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-sql-sessions.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-sql.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-sql_impl.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-storage_pools-alignment.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-storage_pools-headers.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-storage_pools.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-symbols.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-templates.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-terminal.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-traces-syslog.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-traces.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-tribooleans.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-utils.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-vfs.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-vfs_types.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll-vfs_utils.ali
+lib/gnatcoll/gnatcoll.static/gnatcoll.ali
+lib/gnatcoll/gnatcoll.static/libgnatcoll.a
+lib/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers-io.ali
+lib/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers-misc.ali
+lib/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers-number_theoretic.ali
+lib/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers-random.ali
+lib/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers-root_extraction.ali
+lib/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers.ali
+lib/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-lib.ali
+lib/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-random_state.ali
+lib/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp.ali
+lib/gnatcoll/gnatcoll_gmp.static/libgnatcoll_gmp.a
+lib/gnatcoll/gnatcoll_gtk.static/gnatcoll-scripts-gtkada.ali
+lib/gnatcoll/gnatcoll_gtk.static/gnatcoll-scripts-python-gtkada.ali
+lib/gnatcoll/gnatcoll_gtk.static/gnatcoll-vfs-gtkada.ali
+lib/gnatcoll/gnatcoll_gtk.static/libgnatcoll_gtk.a
+lib/gnatcoll/gnatcoll_iconv.static/gnatcoll-iconv.ali
+lib/gnatcoll/gnatcoll_iconv.static/libgnatcoll_iconv.a
+lib/gnatcoll/gnatcoll_postgres.static/gnatcoll-sql-postgres-builder.ali
+lib/gnatcoll/gnatcoll_postgres.static/gnatcoll-sql-postgres.ali
+lib/gnatcoll/gnatcoll_postgres.static/libgnatcoll_postgres.a
+lib/gnatcoll/gnatcoll_python.static/gnatcoll-any_types-python.ali
+lib/gnatcoll/gnatcoll_python.static/gnatcoll-python.ali
+lib/gnatcoll/gnatcoll_python.static/gnatcoll-scripts-python.ali
+lib/gnatcoll/gnatcoll_python.static/libgnatcoll_python.a
+lib/gnatcoll/gnatcoll_readline.static/gnatcoll-readline.ali
+lib/gnatcoll/gnatcoll_readline.static/libgnatcoll_readline.a
+lib/gnatcoll/gnatcoll_sqlite.static/gnatcoll-sql-sqlite-builder.ali
+lib/gnatcoll/gnatcoll_sqlite.static/gnatcoll-sql-sqlite-gnade.ali
+lib/gnatcoll/gnatcoll_sqlite.static/gnatcoll-sql-sqlite.ali
+lib/gnatcoll/gnatcoll_sqlite.static/gnatcoll-xref-database.ali
+lib/gnatcoll/gnatcoll_sqlite.static/gnatcoll-xref-database_names.ali
+lib/gnatcoll/gnatcoll_sqlite.static/gnatcoll-xref.ali
+lib/gnatcoll/gnatcoll_sqlite.static/libgnatcoll_sqlite.a
+lib/gnatcoll/gpr.static/gpr-ali.ali
+lib/gnatcoll/gpr.static/gpr-attr-pm.ali
+lib/gnatcoll/gpr.static/gpr-attr.ali
+lib/gnatcoll/gpr.static/gpr-com.ali
+lib/gnatcoll/gpr.static/gpr-conf.ali
+lib/gnatcoll/gpr.static/gpr-cset.ali
+lib/gnatcoll/gpr.static/gpr-debug.ali
+lib/gnatcoll/gpr.static/gpr-dect.ali
+lib/gnatcoll/gpr.static/gpr-env.ali
+lib/gnatcoll/gpr.static/gpr-err.ali
+lib/gnatcoll/gpr.static/gpr-erroutc.ali
+lib/gnatcoll/gpr.static/gpr-ext.ali
+lib/gnatcoll/gpr.static/gpr-names.ali
+lib/gnatcoll/gpr.static/gpr-nmsc.ali
+lib/gnatcoll/gpr.static/gpr-opt.ali
+lib/gnatcoll/gpr.static/gpr-osint.ali
+lib/gnatcoll/gpr.static/gpr-output.ali
+lib/gnatcoll/gpr.static/gpr-part.ali
+lib/gnatcoll/gpr.static/gpr-pp.ali
+lib/gnatcoll/gpr.static/gpr-proc.ali
+lib/gnatcoll/gpr.static/gpr-scans.ali
+lib/gnatcoll/gpr.static/gpr-sinput.ali
+lib/gnatcoll/gpr.static/gpr-snames.ali
+lib/gnatcoll/gpr.static/gpr-strt.ali
+lib/gnatcoll/gpr.static/gpr-tempdir.ali
+lib/gnatcoll/gpr.static/gpr-tree.ali
+lib/gnatcoll/gpr.static/gpr-util.ali
+lib/gnatcoll/gpr.static/gpr.ali
+lib/gnatcoll/gpr.static/libgpr.a
Index: devel/gps/Makefile
===================================================================
--- devel/gps/Makefile	(revision 416664)
+++ devel/gps/Makefile	(working copy)
@@ -2,11 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	gps
-PORTVERSION=	6.1.1.0
-PORTREVISION=	6
+PORTVERSION=	2016
 CATEGORIES=	devel
 MASTER_SITES=	http://downloads.dragonlace.net/src/
-DISTNAME=	gps-6.1.1-src
+DISTNAME=	gps-gpl-${PORTVERSION}-src
 PKGNAMESUFFIX=	-ide
 
 MAINTAINER=	marino@FreeBSD.org
@@ -16,9 +15,12 @@
 
 BUILD_DEPENDS=	gprbuild:devel/gprbuild \
 		xmlada>=4.4:textproc/xmlada \
-		gnatcoll>=2015:devel/gnatcoll \
+		gnatcoll>=2016:devel/gnatcoll \
 		templates_parser>11:textproc/templates_parser
-LIB_DEPENDS=	libgtkada.so:x11-toolkits/gtkada3
+LIB_DEPENDS=	libfontconfig.so:x11-fonts/fontconfig \
+		libgtkada.so:x11-toolkits/gtkada3 \
+		libfreetype.so:print/freetype2 \
+		libclang.so.3.8:devel/llvm38
 RUN_DEPENDS=	rsvg-convert:graphics/librsvg2 \
 		gdb${PORTGDB}:devel/gdb \
 		gprbuild:devel/gprbuild \
@@ -26,9 +28,10 @@
 		${PYTHON_PKGNAMEPREFIX}jedi>0:devel/py-jedi
 
 GNU_CONFIGURE=	yes
-USES=		ada:run gmake perl5 pkgconfig python
+USES=		ada:run gettext gmake perl5 pkgconfig python
+USE_XORG=	x11
 USE_PERL5=	build
-USE_GNOME=	glib20 pygobject3
+USE_GNOME=	glib20 pygobject3 gtk30 pango atk cairo gdkpixbuf2
 PYCOMPILE=	${PREFIX}/lib/${PYTHON_VERSION}/compileall.py
 AWKREVDATE=	'/Last Changed Date/ {print "\"s|unknown date|" $$4 "|\""}'
 GPSVER=		GPS_VERSION=${PORTVERSION}
@@ -45,11 +48,15 @@
 
 OPTIONS_DEFINE=		DEBUG DOCS EXAMPLES
 OPTIONS_SUB=		yes
+
 DOCS_BUILD_DEPENDS=	sphinx-build:textproc/py-sphinx
+DEBUG_CONFIGURE_ON=	Build=Debug
+DEBUG_CONFIGURE_OFF=	Build=Production
 
 CONFIGURE_TARGET=	${ARCH:S/amd64/x86_64/}-aux-${OPSYS:tl}${OSREL}
 CONFIGURE_ENV+=		AWK=/usr/bin/awk
-CONFIGURE_ARGS=		--with-gtk=3.0
+CONFIGURE_ARGS=		--with-gtk=3.0 \
+			--with-clang=${PREFIX}/llvm38/lib
 MAKE_ARGS+=		PROCESSORS=${MAKE_JOBS_NUMBER}
 MAKE_ARGS+=		PYTHON_CMD=${PYTHON_CMD}
 PORTDOCS=		html pdf
@@ -61,12 +68,6 @@
 GDBVER!=		${GREP} ^PORTVERSION ${.CURDIR}/../gdb/Makefile | \
 			${AWK} '{print $$2}'
 
-.if ${PORT_OPTIONS:MDEBUG}
-MAKE_ARGS+=		Build=Debug
-.else
-MAKE_ARGS+=		Build=Production
-.endif
-
 post-extract:
 	@${MV} ${WRKSRC}/templates_parser ${WRKSRC}/TP.ignore
 	@${MV} ${WRKSRC}/Makefile.gnat ${WRKSRC}/Makefile.gnat.ignore
@@ -74,6 +75,7 @@
 	${RM} ${WRKSRC}/share/support/core/cross_references.py
 
 post-patch:
+	@${RM} ${WRKSRC}/share/plug-ins/*.orig
 	@${ECHO} "GNAT_SOURCES=" > ${WRKSRC}/Makefile.gnat
 	@${REINPLACE_CMD} -e 's/^with .*templates_parser\//with "/g' \
 		${WRKSRC}/gnatdoc/gnatdoc.gpr \
@@ -80,31 +82,13 @@
 		${WRKSRC}/vcs/vcs.gpr
 	@${REINPLACE_CMD} -e 's|@PREFIX@|${PREFIX}|g' \
 		${WRKSRC}/widgets/widgets.gpr
-	#@${REINPLACE_CMD} -e 's|gnatlib/gnat_src|distrib|' \
-	#	${WRKSRC}/distrib/from_impunit.pl
-	@${REINPLACE_CMD} -e 's|, "-fdump-xref"||g' \
-		${WRKSRC}/shared.gpr
-	#@${REINPLACE_CMD} -e "s|GPS_VERSION=.*|${GPSVER}|" \
-	#	${WRKSRC}/configure
-	#@${AWK} ${AWKREVDATE} ${WRKSRC}/REVISION | ${XARGS} -I sub \
-	#	${SED} -i.bak -e sub ${WRKSRC}/common/core/src/config.ads.in
 	@${SED} -i '' -e \
 		's|= "gnat"|= "${LOCALBASE}/${ADAXX}-aux/bin/gnat"|' \
 		${WRKSRC}/share/support/core/gps_utils/gnat_rules.py
-	#@${REINPLACE_CMD} -e 's|@UTILSHARE@|${LOCALBASE}/share/gnat_util|' \
-	#	${WRKSRC}/Makefile.in
-	@${REINPLACE_CMD} -e '/gnatcoll_tools/d' ${WRKSRC}/gps/gps.gpr
-	@${REINPLACE_CMD} -e 's|../gnatlib/src/||' \
-		${WRKSRC}/common/comm* \
-		${WRKSRC}/spark/spark.gpr \
-		${WRKSRC}/kernel/kern*.gpr \
-		${WRKSRC}/language/language.gpr \
-		${WRKSRC}/vsearch/vsearch.gpr \
-		${WRKSRC}/python/py*.gpr
 	@${REINPLACE_CMD} -e '/Gdb_Command/ s|"gdb"|"gdb${PORTGDB}"|' \
 		${WRKSRC}/gvd/src/debugger-gdb_mi.adb \
 		${WRKSRC}/gvd/src/debugger-gdb.adb
-	@${REINPLACE_CMD} -e 's|ISO-8859|ISO8859|' \
+	@${REINPLACE_CMD} -i '' -e 's|ISO-8859|ISO8859|' \
 		${WRKSRC}/kernel/src/gps-kernel-charsets.adb \
 		${WRKSRC}/share/support/core/os_utils.py \
 		${WRKSRC}/configure* \
Index: devel/gps/distinfo
===================================================================
--- devel/gps/distinfo	(revision 416664)
+++ devel/gps/distinfo	(working copy)
@@ -1,2 +1,3 @@
-SHA256 (gps-6.1.1-src.tar.gz) = 14ddd84b0e79cc4b426dc314e37e8cf66ea1c48930cdd0c06d171b6094eb325d
-SIZE (gps-6.1.1-src.tar.gz) = 28924922
+TIMESTAMP = 1465580235
+SHA256 (gps-gpl-2016-src.tar.gz) = 358fe9027a8dfc8311aabab88d4090cddd4a5cc6af82edf2ad88eb787c1793db
+SIZE (gps-gpl-2016-src.tar.gz) = 30660863
Index: devel/gps/files/patch-gps_Makefile
===================================================================
--- devel/gps/files/patch-gps_Makefile	(revision 416664)
+++ devel/gps/files/patch-gps_Makefile	(working copy)
@@ -1,22 +1,11 @@
---- gps/Makefile.orig	2014-11-13 18:15:57 UTC
+--- gps/Makefile.orig	2016-04-25 15:08:09 UTC
 +++ gps/Makefile
-@@ -10,9 +10,9 @@ GPRBUILD_FLAGS=
+@@ -17,7 +17,7 @@ endif
+ 
+ GPRBUILD=gprbuild
+ GPRBUILD_FLAGS=
+-PYTHON=python
++PYTHON=${PYTHON_CMD}
+ 
  Build?=Debug
  
- ifeq ($(Build),Production)
--  GPRBUILD_BUILD_TYPE_FLAGS=-XBuild=Production -XGnatcoll_Build=Production
-+  GPRBUILD_BUILD_TYPE_FLAGS=-XBuild=Production
- else
--  GPRBUILD_BUILD_TYPE_FLAGS=-XBuild=Debug -XGnatcoll_Build=Debug
-+  GPRBUILD_BUILD_TYPE_FLAGS=-XBuild=Debug
- endif
- 
- .PHONY: default resources do_links all clean
-@@ -27,7 +27,6 @@ include ../Makefile.gnat
- # NOTE: we need to build gnatcoll separately, since we cannot use
- # gnat.adc (No_Tasking restriction) on all gnatcoll sources.
- all: resources do_links
--	$(MAKE) Gnatcoll_Build=${Build} -C ../gnatlib
- 	$(GPRBUILD) $(GPRBUILD_FLAGS) -m -ws -P../spark/spark
- 	$(GPRBUILD) $(GPRBUILD_FLAGS) -m -p -ws -XTP_TASKING=No_Tasking \
- 	  $(GPRBUILD_BUILD_TYPE_FLAGS) -Pgps -largs `pkg-config gmodule-2.0 --libs`
Index: devel/gps/pkg-plist
===================================================================
--- devel/gps/pkg-plist	(revision 416664)
+++ devel/gps/pkg-plist	(working copy)
@@ -5,7 +5,169 @@
 bin/gps_exe
 share/gps/about.txt
 share/gps/activity_log.tmplt
+share/gps/color_themes/snapshots/Base16 3024 Dark.png
+share/gps/color_themes/snapshots/Base16 3024 Light.png
+share/gps/color_themes/snapshots/Base16 Apathy Dark.png
+share/gps/color_themes/snapshots/Base16 Apathy Light.png
+share/gps/color_themes/snapshots/Base16 Ashes Dark.png
+share/gps/color_themes/snapshots/Base16 Ashes Light.png
+share/gps/color_themes/snapshots/Base16 Atelier Dune Dark.png
+share/gps/color_themes/snapshots/Base16 Atelier Dune Light.png
+share/gps/color_themes/snapshots/Base16 Atelier Forest Dark.png
+share/gps/color_themes/snapshots/Base16 Atelier Forest Light.png
+share/gps/color_themes/snapshots/Base16 Atelier Heath Dark.png
+share/gps/color_themes/snapshots/Base16 Atelier Heath Light.png
+share/gps/color_themes/snapshots/Base16 Atelier Lakeside Dark.png
+share/gps/color_themes/snapshots/Base16 Atelier Lakeside Light.png
+share/gps/color_themes/snapshots/Base16 Atelier Seaside Dark.png
+share/gps/color_themes/snapshots/Base16 Atelier Seaside Light.png
+share/gps/color_themes/snapshots/Base16 Bespin Dark.png
+share/gps/color_themes/snapshots/Base16 Bespin Light.png
+share/gps/color_themes/snapshots/Base16 Brewer Dark.png
+share/gps/color_themes/snapshots/Base16 Brewer Light.png
+share/gps/color_themes/snapshots/Base16 Bright Dark.png
+share/gps/color_themes/snapshots/Base16 Bright Light.png
+share/gps/color_themes/snapshots/Base16 Chalk Dark.png
+share/gps/color_themes/snapshots/Base16 Chalk Light.png
+share/gps/color_themes/snapshots/Base16 Codeschool Dark.png
+share/gps/color_themes/snapshots/Base16 Codeschool Light.png
+share/gps/color_themes/snapshots/Base16 Colors Dark.png
+share/gps/color_themes/snapshots/Base16 Colors Light.png
+share/gps/color_themes/snapshots/Base16 Default Dark.png
+share/gps/color_themes/snapshots/Base16 Default Light.png
+share/gps/color_themes/snapshots/Base16 Eighties Dark.png
+share/gps/color_themes/snapshots/Base16 Eighties Light.png
+share/gps/color_themes/snapshots/Base16 Embers Dark.png
+share/gps/color_themes/snapshots/Base16 Embers Light.png
+share/gps/color_themes/snapshots/Base16 Flat Dark.png
+share/gps/color_themes/snapshots/Base16 Flat Light.png
+share/gps/color_themes/snapshots/Base16 Google Dark.png
+share/gps/color_themes/snapshots/Base16 Google Light.png
+share/gps/color_themes/snapshots/Base16 Grayscale Dark.png
+share/gps/color_themes/snapshots/Base16 Grayscale Light.png
+share/gps/color_themes/snapshots/Base16 Green Screen Dark.png
+share/gps/color_themes/snapshots/Base16 Green Screen Light.png
+share/gps/color_themes/snapshots/Base16 Hopscotch Dark.png
+share/gps/color_themes/snapshots/Base16 Hopscotch Light.png
+share/gps/color_themes/snapshots/Base16 Isotope Dark.png
+share/gps/color_themes/snapshots/Base16 Isotope Light.png
+share/gps/color_themes/snapshots/Base16 London Tube Dark.png
+share/gps/color_themes/snapshots/Base16 London Tube Light.png
+share/gps/color_themes/snapshots/Base16 Marrakesh Dark.png
+share/gps/color_themes/snapshots/Base16 Marrakesh Light.png
+share/gps/color_themes/snapshots/Base16 Mocha Dark.png
+share/gps/color_themes/snapshots/Base16 Mocha Light.png
+share/gps/color_themes/snapshots/Base16 Monokai Dark.png
+share/gps/color_themes/snapshots/Base16 Monokai Light.png
+share/gps/color_themes/snapshots/Base16 Ocean Dark.png
+share/gps/color_themes/snapshots/Base16 Ocean Light.png
+share/gps/color_themes/snapshots/Base16 Paraiso Dark.png
+share/gps/color_themes/snapshots/Base16 Paraiso Light.png
+share/gps/color_themes/snapshots/Base16 Pop Dark.png
+share/gps/color_themes/snapshots/Base16 Pop Light.png
+share/gps/color_themes/snapshots/Base16 Railscasts Dark.png
+share/gps/color_themes/snapshots/Base16 Railscasts Light.png
+share/gps/color_themes/snapshots/Base16 Solarized Dark.png
+share/gps/color_themes/snapshots/Base16 Solarized Light.png
+share/gps/color_themes/snapshots/Base16 Summerfruit Dark.png
+share/gps/color_themes/snapshots/Base16 Summerfruit Light.png
+share/gps/color_themes/snapshots/Base16 Tomorrow Dark.png
+share/gps/color_themes/snapshots/Base16 Tomorrow Light.png
+share/gps/color_themes/snapshots/Base16 Twilight Dark.png
+share/gps/color_themes/snapshots/Base16 Twilight Light.png
+share/gps/color_themes/snapshots/Base16 harmonic16 Dark.png
+share/gps/color_themes/snapshots/Base16 harmonic16 Light.png
+share/gps/color_themes/snapshots/Base16 shapeshifter Dark.png
+share/gps/color_themes/snapshots/Base16 shapeshifter Light.png
+share/gps/color_themes/snapshots/Darkside.png
+share/gps/color_themes/snapshots/Default.png
+share/gps/color_themes/snapshots/Monokai.png
+share/gps/color_themes/snapshots/Solarized (dark).png
+share/gps/color_themes/snapshots/Solarized (light).png
+share/gps/color_themes/snapshots/iPlastic.png
+share/gps/color_themes/themes/base16/LICENSE.md
+share/gps/color_themes/themes/base16/README.txt
+share/gps/color_themes/themes/base16/base16-3024.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-3024.light.tmTheme
+share/gps/color_themes/themes/base16/base16-apathy.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-apathy.light.tmTheme
+share/gps/color_themes/themes/base16/base16-ashes.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-ashes.light.tmTheme
+share/gps/color_themes/themes/base16/base16-atelierdune.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-atelierdune.light.tmTheme
+share/gps/color_themes/themes/base16/base16-atelierforest.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-atelierforest.light.tmTheme
+share/gps/color_themes/themes/base16/base16-atelierheath.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-atelierheath.light.tmTheme
+share/gps/color_themes/themes/base16/base16-atelierlakeside.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-atelierlakeside.light.tmTheme
+share/gps/color_themes/themes/base16/base16-atelierseaside.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-atelierseaside.light.tmTheme
+share/gps/color_themes/themes/base16/base16-bespin.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-bespin.light.tmTheme
+share/gps/color_themes/themes/base16/base16-brewer.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-brewer.light.tmTheme
+share/gps/color_themes/themes/base16/base16-bright.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-bright.light.tmTheme
+share/gps/color_themes/themes/base16/base16-chalk.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-chalk.light.tmTheme
+share/gps/color_themes/themes/base16/base16-codeschool.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-codeschool.light.tmTheme
+share/gps/color_themes/themes/base16/base16-colors.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-colors.light.tmTheme
+share/gps/color_themes/themes/base16/base16-default.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-default.light.tmTheme
+share/gps/color_themes/themes/base16/base16-eighties.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-eighties.light.tmTheme
+share/gps/color_themes/themes/base16/base16-embers.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-embers.light.tmTheme
+share/gps/color_themes/themes/base16/base16-flat.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-flat.light.tmTheme
+share/gps/color_themes/themes/base16/base16-google.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-google.light.tmTheme
+share/gps/color_themes/themes/base16/base16-grayscale.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-grayscale.light.tmTheme
+share/gps/color_themes/themes/base16/base16-greenscreen.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-greenscreen.light.tmTheme
+share/gps/color_themes/themes/base16/base16-harmonic16.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-harmonic16.light.tmTheme
+share/gps/color_themes/themes/base16/base16-hopscotch.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-hopscotch.light.tmTheme
+share/gps/color_themes/themes/base16/base16-isotope.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-isotope.light.tmTheme
+share/gps/color_themes/themes/base16/base16-londontube.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-londontube.light.tmTheme
+share/gps/color_themes/themes/base16/base16-marrakesh.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-marrakesh.light.tmTheme
+share/gps/color_themes/themes/base16/base16-mocha.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-mocha.light.tmTheme
+share/gps/color_themes/themes/base16/base16-monokai.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-monokai.light.tmTheme
+share/gps/color_themes/themes/base16/base16-ocean.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-ocean.light.tmTheme
+share/gps/color_themes/themes/base16/base16-paraiso.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-paraiso.light.tmTheme
+share/gps/color_themes/themes/base16/base16-pop.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-pop.light.tmTheme
+share/gps/color_themes/themes/base16/base16-railscasts.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-railscasts.light.tmTheme
+share/gps/color_themes/themes/base16/base16-shapeshifter.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-shapeshifter.light.tmTheme
+share/gps/color_themes/themes/base16/base16-solarized.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-solarized.light.tmTheme
+share/gps/color_themes/themes/base16/base16-summerfruit.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-summerfruit.light.tmTheme
+share/gps/color_themes/themes/base16/base16-tomorrow.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-tomorrow.light.tmTheme
+share/gps/color_themes/themes/base16/base16-twilight.dark.tmTheme
+share/gps/color_themes/themes/base16/base16-twilight.light.tmTheme
+share/gps/color_themes/themes/solarized/LICENSE
+share/gps/color_themes/themes/solarized/README.mkd
+share/gps/color_themes/themes/solarized/README.txt
+share/gps/color_themes/themes/solarized/Solarized (dark).tmTheme
+share/gps/color_themes/themes/solarized/Solarized (light).tmTheme
 share/gps/default.gpr
+share/gps/fonts/README.txt
 share/gps/gnatdoc/html/compile.sh
 share/gps/gnatdoc/html/static/blank.html
 share/gps/gnatdoc/html/static/gnatdoc.css
